import request from "@/utils/request_ice.js";
// 获取规则列表分页 以及列表
export function getICEList(pageNum, pageSize, name,status) {
    // name 开始时间createAt 结束时间 updateAt 状态
    return request({
        url: `/app/list?pageSize=${pageSize}&pageNum=${pageNum}&name=${name}&status=${status}`,
        method: "get",
    });
}
/////

/////
// 增加 增加以及列表
export function addRule(data) {
    return request({
        url: `/app/edit`,
        method: "post",
        data,
    });
}
// 修改规则
export function editRule(data) {
    return request({
        url: `/app/edit`,
        method: "post",
        data,
    });
}
//   二级列表
export function getAppChildren(
    id,
    pageId,
    pageSize,
    pageNum,
    name,
    scene,
    childrenId,
) {
    return request({
        url: `/base/list?app=${id}&pageId=${pageId}&pageSize=${pageSize}&pageNum=${pageNum}&scene=${scene}&name=${name}&id=${childrenId}`,
        method: "get",
    });
}
// 增加 二级
export function addChildrenRule(data) {
    return request({
        url: `/base/edit`,
        method: "post",
        data,
    });
}
//   修改二级
//   删除二级
export function deleteChildrenRule(data) {
    return request({
        url: ``,
        method: "put",
        data,
    });
}

// export function exportConf(id, appId) {
//     return request({
//         url: `/base/export?iceId=${id}&app=${appId}`,
//         method: "get",
//     });
// }
//   导出 导出配置
export function exportConf(id, appId) {
    return request({
        url: `/base/export?iceId=${id}&app=${appId}`,
        method: "get",
    });
}
export function importConf(data) {
    return request({
        url: "/base/import",
        method: "post",
        data,
    });
}
export function getDetail(app, iceId, address) {
    return request({
        url: `/conf/detail?app=${app}&iceId=${iceId}&address=${address}`,
        method: "get",
    });
}
//  查看、编辑
export function editNode(data) {
    return request({
        url: "/conf/edit",
        method: "post",
        data,
    });
}
export function classNode(app, type) {
    return request({
        url: `/conf/leaf/class?app=${app}&type=${type}`,
        method: "get",
    });
}
// 发布
export function release(app, id) {
    return request({
        url: `/conf/release?app=${app}&iceId=${id}`,
        method: "get",
    });
}
// 清除
export function updateClean(app, id) {
    return request({
        url: `/conf/update_clean?app=${app}&iceId=${id}`,
        method: "get",
    });
}

export function createConfig(data) {
    return request({
        url: `/conf/create`,
        method: "post",
        data,
    });
}

export function deleteConfig(id) {
    return request({
        url: `/conf/delete&id=${id}`,
        method: "delete",
    });
}
export function getApp() {
    // name 开始时间createAt 结束时间 updateAt 状态
    return request({
        url: `/app/list`,
        method: "get",
    });
}
