
// 注册组件及组件
import C from "highlight.js/lib/languages/1c"
import Vue from "vue"

export function LoadComp(arr= -1) {
    if (arr != -1 && false) {
        // 根据请求数据注册组件
        let compList = new Set(arr)
        compList.forEach((name)=>{
            Vue.component(name,function(resolve){
              require([`../components/DIY/module/${name}.vue`],resolve)
            })  
        })
    }else{
        // 编辑模板时
        const ctx = require.context('../components/DIY/module', false, /\.vue$/)
        const map = ctx.keys()
        // 组件注册
        for (let i = 0; i < map.length; i++) {
            let name = map[i].slice(2).replace('.vue','')
            Vue.component(name,function(resolve){
              require([`../components/DIY/module${map[i].slice(1)}`],resolve)
            })
          }
        // 组件样式控件注册
        const attrStyle = require.context('../components/DIY/attr/compStyle', true, /\.vue$/)
        const style = attrStyle.keys()
        for (let i = 0; i < style.length; i++) {
            let name = `${style[i].slice(2).replace('/style.vue','')}`
            Vue.component(`${name}Style`,function(resolve){
              require([`../components/DIY/attr/compStyle/${name}/style.vue`],resolve)
            })
          } 
          // 埋点组件注册
          // 自动注册
        // const Buried = require.context('../components/DIY/attr/Buried/compBuied',false,/\.vue$/)
        // const buriedList = Buried.keys()
        // for (let i = 0; i < buriedList.length; i++) {
        //   let name = buriedList[i].slice(2).replace('.vue','')
        //   Vue.component(`${name}Style`,function(resolve){
        //     require([`../components/DIY/attr//Buried/compBuied/${name}.vue`],resolve)
        //   })
        // }
    }
    // 加载 时候动态注册
}