import request from "@/utils/request_1.6.4.js";

export function getConfig(id) {
    return request({
        url: `/iceserver/conf/get?id=${id}`,
        method: "get",
    });
}
//   导出ex
export function exportExcel() {
    return request({
        url: `/iceserver/conf/export-excel`,
        method: "get",
    });
}
export function createConfig(data) {
    return request( {
        url:'/iceserver/conf/create',
        method:"post",
        data
    })
}
export function getConfigAll(id) {
    return request({
        url: `/iceserver/conf/list?ids=${id}`,
        method: "get",
    });
}
export function getListConfig(id) {
    return request({
        url: `/iceserver/conf/list&ids=${129}`,
        method: "get",
    });
}
export function deleteConfig(id) {
    return request({
        url: `/iceserver/conf/delete&id=${id}`,
        method: "get",
    });
}
export function getPageConfig(pageNo,pageSize,confName,status,type) {
    return request({
        url: `/iceserver/conf/page?pageNo=${pageNo}&pageSize=${pageSize}&confName=${confName}&status=${status}&type=${type}`,
        method: "get",
    });
}
export function getPageConfigAll(appid,nodeType=5) {
    return request({
        url: `/iceserver/conf/page?pageNo=${1}&pageSize=${99}&app=${appid}&nodeType=${nodeType}`,
        method: "get",
    });
}
export function updateConfig(data) {
    return request({
        url: `/iceserver/conf/update`,
        method: "put",
        data
    });
}
export function upDateApp(data) {
    return request({
        url: "ice/app/update",
        method: "put",
        data,
    });
}
export function getAppOn(id) {
    return request({
        url: `ice/app/get?id=${id}`,
        method: "get",
    });
}
export function getICEList(pageNum, pageSize, name,status) {
    // name 开始时间createAt 结束时间 updateAt 状态
    return request({
        url: `/ice/app/page?pageSize=${pageSize}&pageNo=${pageNum}&name=${name}&status=${status}`,
        method: "get",
    });
}